Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.suggestion.util
Class Enum

    java.lang.Object
      com.verisign.epp.codec.suggestion.util.Enum

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ActionEnum, StatusEnum, TldEnum, WeightEnum

    public abstract class Enum

extends java.lang.Object
implements java.io.Serializable

An abstract class which provides backbone features of the various Enumerations in the sdk.

Author:
  jcolosi
See Also:
  Serialized Form

Field Summary
`protected int` | `key`
`static int` | `NONE`
`static java.lang.String` | `NONE_STRING`

Constructor Summary
`` | `Enum()` Constructor.
`protected` | `Enum(int aKey)` Constructor.
`` | `Enum(java.lang.String aValue)` Constructor.

Method Summary
`abstract java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object o)`
`int` | `get()` Get the enum key.
`abstract java.lang.String[]` | `getData()` Get the possible enum data.
`boolean` | `isSet()` Is the key set.
`void` | `set(int aKey)` Set the enum based on the key.
`void` | `set(java.lang.String aValue)` Set the value based on the value.
`java.lang.String` | `toLogString()` Return string representation for logging purposes/
`java.lang.String` | `toString()`
`void` | `unset()` Unset the enum.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static int NONE

### NONE_STRING

    public static java.lang.String NONE_STRING

### key

    protected int key

Constructor Detail

### Enum

    public Enum()

  Constructor.

### Enum

    public Enum(java.lang.String aValue)
         throws InvalidValueException

  Constructor.

  Parameters:
    `aValue` - a value
  Throws:
    `InvalidValueException`

### Enum

    protected Enum(int aKey)
            throws InvalidValueException

  Constructor. Use this constructor for cloning.

  Parameters:
    `aKey` - a key
  Throws:
    `InvalidValueException`

Method Detail

### clone

    public abstract java.lang.Object clone()
                                    throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### get

    public int get()

  Get the enum key.

  Returns:
    the enum key

### isSet

    public boolean isSet()

  Is the key set.

  Returns:
    true if the key is set

### set

    public void set(int aKey)
             throws InvalidValueException

  Set the enum based on the key.

  Parameters:
    `aKey` - a key
  Throws:
    `InvalidValueException`

### set

    public void set(java.lang.String aValue)
             throws InvalidValueException

  Set the value based on the value.

  Parameters:
    `aValue` - a value
  Throws:
    `InvalidValueException`

### toLogString

    public java.lang.String toLogString()

  Return string representation for logging purposes/

  Returns:
    a string

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### unset

    public void unset()

  Unset the enum.

### getData

    public abstract java.lang.String[] getData()

  Get the possible enum data.

  Returns:
    enum data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.